function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { SankeyChart } from "echarts/charts";
import { CanvasRenderer } from "echarts/renderers";
import { sankey } from "@dftvue2-opentiny/vue-renderless/chart-sankey/index";
import Core from "@dftvue2-opentiny/vue-chart-core";
import { defineComponent, $prefix } from "@dftvue2-opentiny/vue-common";
echarts.use([SankeyChart, CanvasRenderer]);
var Sankey = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartSankey",
  data: function data() {
    this.chartHandler = sankey;
    return {};
  }
}));
var version = "2.8.0";
Sankey.install = function(Vue) {
  Vue.component(Sankey.name, Sankey);
};
Sankey.version = version;
export {
  Sankey as default
};
